Типовой запрос:

```
curl -i localhost:8080/api/inn -H "Content-type: application/json"  -d '{"name": "test", "inn": 1234567890}' -X POST
```

Приемлемый запрос для ленивых:
```
curl -i localhost:8080/api/inn -H "Content-type: application/json"  -X POST -d '{"inn": 1234567890}'
```

Тестовые примеры, которые использовались бы для тестирования если предположить, что тестировать мы её будем не по "белому ящику" а по "чёрному":

Последовательно отправляем в систему следующие данные:
1. Проверяем реакцию системы на неправильно сформированный JSON (нет разделителя-запятой)
```
curl -i localhost:8080/api/inn -H "Content-type: application/json" -X POST  -d '{"name": "test" "inn": 1234567890}'
```
Ожидаем ошибки со стороны сервера. В конкретной реализации: 400

2. Проверяем реакцию системы на нижний предел значений
```
curl -i localhost:8080/api/inn -H "Content-type: application/json"  -d '{"inn": 999999999, "name": "test"}' -X POST
```
Ожидаем ошибки со стороны сервера. В конкретной реализации: 400.

2. Проверяем реакцию системы на верхний предел значений
```
curl -i localhost:8080/api/inn -H "Content-type: application/json"  -d '{"inn": 10000000000, "name": "test"}' -X POST
```
Ожидаем ошибки со стороны сервера. В конкретной реализации: 400.

3. Проверяем корректно-заполненными данными:
```
curl -i localhost:8080/api/inn -H "Content-type: application/json"  -d '{"name": "test", "inn": 1234567890}' -X POST
```
Сервер принимает значения, в нашем случае возвращает 201

4. Проверяем реакцию системы на нетипичный (обратный) порядок полей в посылаемом JSON:
```
curl -i localhost:8080/api/inn -H "Content-type: application/json"  -d '{"inn": 1234567890, "name": "test"}' -X POST
```
Сервер принимает значения, в нашем случае возвращает 201