package ru.redrise.example.demo.controllers;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestController;

import jakarta.validation.Valid;
import ru.redrise.example.demo.forms.InnForm;

@RestController
@RequestMapping(path = "/api/inn")
public class InnController {
    private static final org.slf4j.Logger log = 
        org.slf4j.LoggerFactory.getLogger(InnController.class);
    
    @PostMapping(produces = "application/json")
    @ResponseStatus(HttpStatus.CREATED)
    public ResponseEntity<String> postMethodName(@Valid @RequestBody InnForm form) {

        log.info("{} {}", form.getName(), form.getInn());

        return ResponseEntity.created(null).build();
    }

}
